]> code.delx.au - gnu-emacs/commitdiff
Merge from emacs--devo--0
authorMiles Bader <miles@gnu.org>
Tue, 24 Apr 2007 21:56:25 +0000 (21:56 +0000)
committerMiles Bader <miles@gnu.org>
Tue, 24 Apr 2007 21:56:25 +0000 (21:56 +0000)
Patches applied:

 * emacs--devo--0  (patch 698-710)

   - Update from CVS
   - Merge from gnus--rel--5.10

 * gnus--rel--5.10  (patch 216)

   - Update from CVS

Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-196

34 files changed:
1  2 
configure
configure.in
etc/MORE.STUFF
etc/NEWS
etc/PROBLEMS
etc/TODO
lib-src/makefile.w32-in
lisp/ChangeLog
lisp/arc-mode.el
lisp/desktop.el
lisp/dnd.el
lisp/emacs-lisp/byte-opt.el
lisp/emacs-lisp/bytecomp.el
lisp/font-lock.el
lisp/info.el
lisp/international/mule.el
lisp/ldefs-boot.el
lisp/progmodes/ebnf2ps.el
lisp/progmodes/perl-mode.el
lisp/simple.el
lisp/subr.el
lisp/term.el
lisp/textmodes/fill.el
lisp/wid-edit.el
src/ChangeLog
src/abbrev.c
src/alloc.c
src/buffer.c
src/dispnew.c
src/keymap.c
src/macterm.c
src/minibuf.c
src/process.c
src/xdisp.c

diff --cc configure
index 684c35936e196b77eb2ccdf392bb5a39d076bda1,9dd401b4d12ff33d5adf57e58c86438e7b35e1c2..173d1cdceff5071d059b7c1ad9f3cf12cd6fb7c6
+++ b/configure
    fi
  fi
  
- if test x"${USE_X_TOOLKIT}" = xmaybe; then
 -### Link with -lXft if available to work around a bug.
 -HAVE_XFT=maybe
 -if test "${HAVE_GTK}" = "yes"; then
 -    if test "X${with_pkg_config_prog}" != X; then
 -    PKG_CONFIG="${with_pkg_config_prog}"
 -  fi
 -
 -
 -  succeeded=no
 -
 -  if test -z "$PKG_CONFIG"; then
 -    # Extract the first word of "pkg-config", so it can be a program name with args.
 -set dummy pkg-config; ac_word=$2
 -{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 -if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 -  echo $ECHO_N "(cached) $ECHO_C" >&6
 -else
 -  case $PKG_CONFIG in
 -  [\\/]* | ?:[\\/]*)
 -  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 -  ;;
 -  *)
 -  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 -for as_dir in $PATH
 -do
 -  IFS=$as_save_IFS
 -  test -z "$as_dir" && as_dir=.
 -  for ac_exec_ext in '' $ac_executable_extensions; do
 -  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 -    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 -    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 -    break 2
 -  fi
 -done
 -done
 -IFS=$as_save_IFS
 -
 -  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 -  ;;
 -esac
 -fi
 -PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 -if test -n "$PKG_CONFIG"; then
 -  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 -echo "${ECHO_T}$PKG_CONFIG" >&6; }
 -else
 -  { echo "$as_me:$LINENO: result: no" >&5
 -echo "${ECHO_T}no" >&6; }
 -fi
 -
 -
 -  fi
 -
 -  if test "$PKG_CONFIG" = "no" ; then
 -     HAVE_XFT=no
 -  else
 -     PKG_CONFIG_MIN_VERSION=0.9.0
 -     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 -        { echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5
 -echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6; }
 -
 -        if $PKG_CONFIG --exists "xft >= 0.13.0" 2>&5; then
 -            { echo "$as_me:$LINENO: result: yes" >&5
 -echo "${ECHO_T}yes" >&6; }
 -            succeeded=yes
 -
 -            { echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5
 -echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6; }
 -            XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 -            { echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5
 -echo "${ECHO_T}$XFT_CFLAGS" >&6; }
 -
 -            { echo "$as_me:$LINENO: checking XFT_LIBS" >&5
 -echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6; }
 -            XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 -            { echo "$as_me:$LINENO: result: $XFT_LIBS" >&5
 -echo "${ECHO_T}$XFT_LIBS" >&6; }
 -        else
 -            { echo "$as_me:$LINENO: result: no" >&5
 -echo "${ECHO_T}no" >&6; }
 -            XFT_CFLAGS=""
 -            XFT_LIBS=""
 -            ## If we have a custom action on failure, don't print errors, but
 -            ## do set a variable so people can do so.
 -            XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft >= 0.13.0"`
 -
 -        fi
 -
 -
 -
 -     else
 -        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 -        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 -     fi
 -  fi
 -
 -  if test $succeeded = yes; then
 -     :
 -  else
 -     HAVE_XFT=no
 -  fi
 -
 -  if test "$HAVE_XFT" != no; then
 -    OLD_CFLAGS="$CPPFLAGS"
 -    OLD_CPPFLAGS="$CFLAGS"
 -    OLD_LIBS="$LIBS"
 -    CPPFLAGS="$CPPFLAGS $XFT_CFLAGS"
 -    CFLAGS="$CFLAGS $XFT_CFLAGS"
 -    LIBS="$XFT_LIBS $LIBS"
 -    if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 -  { echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
 -echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; }
 -if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
++if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
 +  if test x"${HAVE_X11R5}" = xyes; then
 +    { echo "$as_me:$LINENO: checking X11 version 5 with Xaw" >&5
 +echo $ECHO_N "checking X11 version 5 with Xaw... $ECHO_C" >&6; }
 +    if test "${emacs_cv_x11_version_5_with_xaw+set}" = set; then
    echo $ECHO_N "(cached) $ECHO_C" >&6
 -fi
 -{ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
 -echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; }
  else
 -  # Is the header compilable?
 -{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5
 -echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6; }
 -cat >conftest.$ac_ext <<_ACEOF
 +  cat >conftest.$ac_ext <<_ACEOF
  /* confdefs.h.  */
  _ACEOF
  cat confdefs.h >>conftest.$ac_ext
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
 -      ac_header_compiler=no
 +      emacs_cv_x11_version_5_with_xaw=no
  fi
  
 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 -{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
 -echo "${ECHO_T}$ac_header_compiler" >&6; }
 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 +      conftest$ac_exeext conftest.$ac_ext
 +fi
  
 -# Is the header present?
 -{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5
 -echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6; }
 -cat >conftest.$ac_ext <<_ACEOF
 +    if test $emacs_cv_x11_version_5_with_xaw = yes; then
 +      { echo "$as_me:$LINENO: result: 5 or newer, with Xaw; use toolkit by default" >&5
 +echo "${ECHO_T}5 or newer, with Xaw; use toolkit by default" >&6; }
 +      USE_X_TOOLKIT=LUCID
 +    else
-       { echo "$as_me:$LINENO: result: before 5 or no Xaw; do not use toolkit by default" >&5
++      if test x"${USE_X_TOOLKIT}" = xLUCID; then
++        { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
++echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
++   { (exit 1); exit 1; }; }
++      else
++        { echo "$as_me:$LINENO: result: before 5 or no Xaw; do not use toolkit by default" >&5
 +echo "${ECHO_T}before 5 or no Xaw; do not use toolkit by default" >&6; }
-       USE_X_TOOLKIT=none
++        USE_X_TOOLKIT=none
++      fi
 +    fi
 +  else
 +    USE_X_TOOLKIT=none
 +  fi
 +fi
 +
 +X_TOOLKIT_TYPE=$USE_X_TOOLKIT
 +
 +if test "${USE_X_TOOLKIT}" != "none"; then
 +  { echo "$as_me:$LINENO: checking X11 toolkit version" >&5
 +echo $ECHO_N "checking X11 toolkit version... $ECHO_C" >&6; }
 +  if test "${emacs_cv_x11_toolkit_version_6+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  cat >conftest.$ac_ext <<_ACEOF
  /* confdefs.h.  */
  _ACEOF
  cat confdefs.h >>conftest.$ac_ext
@@@ -12335,792 -12634,186 +12343,792 @@@ if test $ac_cv_lib_Xaw3d_XawScrollbarSe
    HAVE_XAW3D=yes
  fi
  
 -fi
 +fi
 +
 +
 +    if test "${HAVE_XAW3D}" = "yes"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XAW3D 1
 +_ACEOF
 +
 +    fi
 +  fi
 +fi
 +
 +
 +
 +USE_TOOLKIT_SCROLL_BARS=no
 +if test "${with_toolkit_scroll_bars}" != "no"; then
 +  if test "${USE_X_TOOLKIT}" != "none"; then
 +    if test "${USE_X_TOOLKIT}" = "MOTIF"; then
 +      cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +      HAVE_XAW3D=no
 +      USE_TOOLKIT_SCROLL_BARS=yes
 +    elif test "${HAVE_XAW3D}" = "yes"; then
 +      cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +      USE_TOOLKIT_SCROLL_BARS=yes
 +    fi
 +  elif test "${HAVE_GTK}" = "yes"; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +    USE_TOOLKIT_SCROLL_BARS=yes
 +  elif test "${HAVE_CARBON}" = "yes"; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +    USE_TOOLKIT_SCROLL_BARS=yes
 +  fi
 +fi
 +
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +        #include <X11/Xlib.h>
 +        #include <X11/Xresource.h>
 +int
 +main ()
 +{
 +XIMProc  callback;
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  HAVE_XIM=yes
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XIM 1
 +_ACEOF
 +
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      HAVE_XIM=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +
 +
 +if test "${with_xim}" != "no"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define USE_XIM 1
 +_ACEOF
 +
 +fi
 +
 +
 +if test "${HAVE_XIM}" != "no"; then
 +  late_CFLAGS=$CFLAGS
 +  if test "$GCC" = yes; then
 +    CFLAGS="$CFLAGS --pedantic-errors"
 +  fi
 +  cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +#include <X11/Xlib.h>
 +#include <X11/Xresource.h>
 +int
 +main ()
 +{
 +Display *display;
 +XrmDatabase db;
 +char *res_name;
 +char *res_class;
 +XIMProc  callback;
 +XPointer *client_data;
 +#ifndef __GNUC__
 +/* If we're not using GCC, it's probably not XFree86, and this is
 +   probably right, but we can't use something like --pedantic-errors.  */
 +extern Bool XRegisterIMInstantiateCallback(Display*, XrmDatabase, char*,
 +                                           char*, XIMProc, XPointer*);
 +#endif
 +(void)XRegisterIMInstantiateCallback(display, db, res_name, res_class, callback,
 +   client_data);
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  emacs_cv_arg6_star=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +
 +  if test "$emacs_cv_arg6_star" = yes; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define XRegisterIMInstantiateCallback_arg6 XPointer*
 +_ACEOF
 +
 +  else
 +    cat >>confdefs.h <<\_ACEOF
 +#define XRegisterIMInstantiateCallback_arg6 XPointer
 +_ACEOF
 +
 +  fi
 +  CFLAGS=$late_CFLAGS
 +fi
 +
 +### For font-backend
 +if test "${USE_FONT_BACKEND}" = "yes"; then
 +
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define USE_FONT_BACKEND 1
 +_ACEOF
 +
 +
 +### Use -lXft if available, unless `--with-freetype=no' nor `--with-xft=no'.
 +HAVE_XFT=maybe
 +if test "${HAVE_X11}" = "yes"; then
 +  if test "x${with_freetype}" = "xno"; then
 +    with_xft="no";
 +  fi
 +  if test "x${with_xft}" != "xno"; then
 +
 +        if test "X${with_pkg_config_prog}" != X; then
 +      PKG_CONFIG="${with_pkg_config_prog}"
 +    fi
 +
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +fi
 +
 +
 +  fi
 +
 +  if test "$PKG_CONFIG" = "no" ; then
 +     HAVE_XFT=no
 +  else
 +     PKG_CONFIG_MIN_VERSION=0.9.0
 +     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 +        { echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5
 +echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6; }
 +
 +        if $PKG_CONFIG --exists "xft >= 0.13.0" 2>&5; then
 +            { echo "$as_me:$LINENO: result: yes" >&5
 +echo "${ECHO_T}yes" >&6; }
 +            succeeded=yes
 +
 +            { echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5
 +echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6; }
 +            XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5
 +echo "${ECHO_T}$XFT_CFLAGS" >&6; }
 +
 +            { echo "$as_me:$LINENO: checking XFT_LIBS" >&5
 +echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6; }
 +            XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $XFT_LIBS" >&5
 +echo "${ECHO_T}$XFT_LIBS" >&6; }
 +        else
 +            { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +            XFT_CFLAGS=""
 +            XFT_LIBS=""
 +            ## If we have a custom action on failure, don't print errors, but
 +            ## do set a variable so people can do so.
 +            XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft >= 0.13.0"`
 +
 +        fi
 +
 +
 +
 +     else
 +        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 +        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 +     fi
 +  fi
 +
 +  if test $succeeded = yes; then
 +     :
 +  else
 +     HAVE_XFT=no
 +  fi
 +
 +    if test "$HAVE_XFT" != no; then
 +      OLD_CPPFLAGS="$CPPFLAGS"
 +      OLD_CFLAGS="$CFLAGS"
 +      OLD_LIBS="$LIBS"
 +      CPPFLAGS="$CPPFLAGS $XFT_CFLAGS"
 +      CFLAGS="$CFLAGS $XFT_CFLAGS"
 +      LIBS="$XFT_LIBS $LIBS"
 +      if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  { echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
 +echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; }
 +if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
 +echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; }
 +else
 +  # Is the header compilable?
 +{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5
 +echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +$ac_includes_default
 +#include <X11/Xft/Xft.h>
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  ac_header_compiler=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      ac_header_compiler=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
 +echo "${ECHO_T}$ac_header_compiler" >&6; }
 +
 +# Is the header present?
 +{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5
 +echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +#include <X11/Xft/Xft.h>
 +_ACEOF
 +if { (ac_try="$ac_cpp conftest.$ac_ext"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } >/dev/null && {
 +       test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       }; then
 +  ac_header_preproc=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +  ac_header_preproc=no
 +fi
 +
 +rm -f conftest.err conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 +echo "${ECHO_T}$ac_header_preproc" >&6; }
 +
 +# So?  What about this header?
 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
 +  yes:no: )
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the compiler's result" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the compiler's result" >&2;}
 +    ac_header_preproc=yes
 +    ;;
 +  no:yes:* )
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: present but cannot be compiled" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: present but cannot be compiled" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     check for missing prerequisite headers?" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h:     check for missing prerequisite headers?" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: see the Autoconf documentation" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: see the Autoconf documentation" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     section \"Present But Cannot Be Compiled\"" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h:     section \"Present But Cannot Be Compiled\"" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&2;}
 +
 +    ;;
 +esac
 +{ echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
 +echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; }
 +if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  ac_cv_header_X11_Xft_Xft_h=$ac_header_preproc
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
 +echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; }
 +
 +fi
 +if test $ac_cv_header_X11_Xft_Xft_h = yes; then
 +  { echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5
 +echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6; }
 +if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  ac_check_lib_save_LIBS=$LIBS
 +LIBS="-lXft $XFT_LIBS $LIBS"
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +/* Override any GCC internal prototype to avoid an error.
 +   Use char because int might match the return type of a GCC
 +   builtin and then its argument prototype would still apply.  */
 +#ifdef __cplusplus
 +extern "C"
 +#endif
 +char XftFontOpen ();
 +int
 +main ()
 +{
 +return XftFontOpen ();
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext conftest$ac_exeext
 +if { (ac_try="$ac_link"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_link") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest$ac_exeext &&
 +       $as_test_x conftest$ac_exeext; then
 +  ac_cv_lib_Xft_XftFontOpen=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      ac_cv_lib_Xft_XftFontOpen=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 +      conftest$ac_exeext conftest.$ac_ext
 +LIBS=$ac_check_lib_save_LIBS
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5
 +echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6; }
 +if test $ac_cv_lib_Xft_XftFontOpen = yes; then
 +  HAVE_XFT=yes
 +fi
 +
 +fi
 +
 +
 +
 +      if test "${HAVE_XFT}" = "yes"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XFT 1
 +_ACEOF
 +
 +
 +        C_SWITCH_X_SITE="$C_SWITCH_X_SITE $XFT_CFLAGS"
 +      else
 +        CFLAGS="$OLD_CPPFLAGS"
 +        CFLAGS="$OLD_CFLAGS"
 +        LIBS="$OLD_LIBS"
 +      fi
 +    fi
 +  fi
 +fi
 +
 +HAVE_FREETYPE=no
 +### Use -lfreetype if available, unless `--with-freetype=no'.
 +if test "${HAVE_XFT}" = "yes"; then
 +      HAVE_FREETYPE=yes
 +elif test "x${with_freetype}" != "xno"; then
 +    if test "X${with_pkg_config_prog}" != X; then
 +    PKG_CONFIG="${with_pkg_config_prog}"
 +  fi
 +
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +fi
 +
 +
 +  fi
 +
 +  if test "$PKG_CONFIG" = "no" ; then
 +     HAVE_FREETYPE=no
 +  else
 +     PKG_CONFIG_MIN_VERSION=0.9.0
 +     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 +        { echo "$as_me:$LINENO: checking for freetype2" >&5
 +echo $ECHO_N "checking for freetype2... $ECHO_C" >&6; }
 +
 +        if $PKG_CONFIG --exists "freetype2" 2>&5; then
 +            { echo "$as_me:$LINENO: result: yes" >&5
 +echo "${ECHO_T}yes" >&6; }
 +            succeeded=yes
 +
 +            { echo "$as_me:$LINENO: checking FREETYPE_CFLAGS" >&5
 +echo $ECHO_N "checking FREETYPE_CFLAGS... $ECHO_C" >&6; }
-             FREETYPE_CFLAGS=`$PKG_CONFIG --cflags "freetype2"`
++            FREETYPE_CFLAGS=`$PKG_CONFIG --cflags "freetype2"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $FREETYPE_CFLAGS" >&5
 +echo "${ECHO_T}$FREETYPE_CFLAGS" >&6; }
 +
 +            { echo "$as_me:$LINENO: checking FREETYPE_LIBS" >&5
 +echo $ECHO_N "checking FREETYPE_LIBS... $ECHO_C" >&6; }
-             FREETYPE_LIBS=`$PKG_CONFIG --libs "freetype2"`
++            FREETYPE_LIBS=`$PKG_CONFIG --libs "freetype2"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $FREETYPE_LIBS" >&5
 +echo "${ECHO_T}$FREETYPE_LIBS" >&6; }
 +        else
 +            { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +            FREETYPE_CFLAGS=""
 +            FREETYPE_LIBS=""
 +            ## If we have a custom action on failure, don't print errors, but
 +            ## do set a variable so people can do so.
 +            FREETYPE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "freetype2"`
 +
 +        fi
 +
  
  
 -    if test "${HAVE_XAW3D}" = "yes"; then
 +     else
 +        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 +        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 +     fi
 +  fi
  
 -cat >>confdefs.h <<\_ACEOF
 -#define HAVE_XAW3D 1
 -_ACEOF
 +  if test $succeeded = yes; then
 +     HAVE_FREETYPE=yes
 +  else
 +     HAVE_FREETYPE=no
 +  fi
  
 -    fi
 +  if test "${HAVE_FREETYPE}" = "yes"; then
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
    fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
  fi
  
  
 +  fi
  
 -USE_TOOLKIT_SCROLL_BARS=no
 -if test "${with_toolkit_scroll_bars}" != "no"; then
 -  if test "${USE_X_TOOLKIT}" != "none"; then
 -    if test "${USE_X_TOOLKIT}" = "MOTIF"; then
 -      cat >>confdefs.h <<\_ACEOF
 -#define USE_TOOLKIT_SCROLL_BARS 1
 -_ACEOF
 +  if test "$PKG_CONFIG" = "no" ; then
 +     HAVE_FC=no
 +  else
 +     PKG_CONFIG_MIN_VERSION=0.9.0
 +     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 +        { echo "$as_me:$LINENO: checking for fontconfig" >&5
 +echo $ECHO_N "checking for fontconfig... $ECHO_C" >&6; }
  
 -      HAVE_XAW3D=no
 -      USE_TOOLKIT_SCROLL_BARS=yes
 -    elif test "${HAVE_XAW3D}" = "yes"; then
 -      cat >>confdefs.h <<\_ACEOF
 -#define USE_TOOLKIT_SCROLL_BARS 1
 -_ACEOF
 +        if $PKG_CONFIG --exists "fontconfig" 2>&5; then
 +            { echo "$as_me:$LINENO: result: yes" >&5
 +echo "${ECHO_T}yes" >&6; }
 +            succeeded=yes
  
 -      USE_TOOLKIT_SCROLL_BARS=yes
 -    fi
 -  elif test "${HAVE_GTK}" = "yes"; then
 -    cat >>confdefs.h <<\_ACEOF
 -#define USE_TOOLKIT_SCROLL_BARS 1
 -_ACEOF
 +            { echo "$as_me:$LINENO: checking FONTCONFIG_CFLAGS" >&5
 +echo $ECHO_N "checking FONTCONFIG_CFLAGS... $ECHO_C" >&6; }
-             FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig"`
++            FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $FONTCONFIG_CFLAGS" >&5
 +echo "${ECHO_T}$FONTCONFIG_CFLAGS" >&6; }
 +
 +            { echo "$as_me:$LINENO: checking FONTCONFIG_LIBS" >&5
 +echo $ECHO_N "checking FONTCONFIG_LIBS... $ECHO_C" >&6; }
-             FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig"`
++            FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $FONTCONFIG_LIBS" >&5
 +echo "${ECHO_T}$FONTCONFIG_LIBS" >&6; }
 +        else
 +            { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +            FONTCONFIG_CFLAGS=""
 +            FONTCONFIG_LIBS=""
 +            ## If we have a custom action on failure, don't print errors, but
 +            ## do set a variable so people can do so.
 +            FONTCONFIG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "fontconfig"`
  
 -    USE_TOOLKIT_SCROLL_BARS=yes
 -  elif test "${HAVE_CARBON}" = "yes"; then
 -    cat >>confdefs.h <<\_ACEOF
 -#define USE_TOOLKIT_SCROLL_BARS 1
 -_ACEOF
 +        fi
  
 -    USE_TOOLKIT_SCROLL_BARS=yes
 +
 +
 +     else
 +        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 +        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 +     fi
    fi
 -fi
  
 -cat >conftest.$ac_ext <<_ACEOF
 -/* confdefs.h.  */
 -_ACEOF
 -cat confdefs.h >>conftest.$ac_ext
 -cat >>conftest.$ac_ext <<_ACEOF
 -/* end confdefs.h.  */
 +  if test $succeeded = yes; then
 +     HAVE_FC=yes
 +  else
 +     HAVE_FC=no
 +  fi
  
 -        #include <X11/Xlib.h>
 -        #include <X11/Xresource.h>
 -int
 -main ()
 -{
 -XIMProc  callback;
 -  ;
 -  return 0;
 -}
 -_ACEOF
 -rm -f conftest.$ac_objext
 -if { (ac_try="$ac_compile"
 -case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 -  (eval "$ac_compile") 2>conftest.er1
 -  ac_status=$?
 -  grep -v '^ *+' conftest.er1 >conftest.err
 -  rm -f conftest.er1
 -  cat conftest.err >&5
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); } && {
 -       test -z "$ac_c_werror_flag" ||
 -       test ! -s conftest.err
 -       } && test -s conftest.$ac_objext; then
 -  HAVE_XIM=yes
 +    if test "${HAVE_FC}" = "no"; then
 +            HAVE_FREETYPE=no
 +    fi
 +  fi
 +fi
 +if test "${HAVE_FREETYPE}" = "yes"; then
  
  cat >>confdefs.h <<\_ACEOF
 -#define HAVE_XIM 1
 +#define HAVE_FREETYPE 1
  _ACEOF
  
 +  # Extract the first word of "libotf-config", so it can be a program name with args.
 +set dummy libotf-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_prog_HAVE_LIBOTF+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
  else
 -  echo "$as_me: failed program was:" >&5
 -sed 's/^/| /' conftest.$ac_ext >&5
 +  if test -n "$HAVE_LIBOTF"; then
 +  ac_cv_prog_HAVE_LIBOTF="$HAVE_LIBOTF" # Let the user override the test.
 +else
 +as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_prog_HAVE_LIBOTF="yes"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
 +IFS=$as_save_IFS
  
 -      HAVE_XIM=no
 +  test -z "$ac_cv_prog_HAVE_LIBOTF" && ac_cv_prog_HAVE_LIBOTF="no"
 +fi
 +fi
 +HAVE_LIBOTF=$ac_cv_prog_HAVE_LIBOTF
 +if test -n "$HAVE_LIBOTF"; then
 +  { echo "$as_me:$LINENO: result: $HAVE_LIBOTF" >&5
 +echo "${ECHO_T}$HAVE_LIBOTF" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
  fi
 -
 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  
  
 -if test "${with_xim}" != "no"; then
 +  if test "${HAVE_LIBOTF}" = "yes"; then
  
  cat >>confdefs.h <<\_ACEOF
 -#define USE_XIM 1
 +#define HAVE_LIBOTF 1
  _ACEOF
  
 -fi
 -
 -
 -if test "${HAVE_XIM}" != "no"; then
 -  late_CFLAGS=$CFLAGS
 -  if test "$GCC" = yes; then
 -    CFLAGS="$CFLAGS --pedantic-errors"
 +    LIBOTF_CFLAGS=`libotf-config --cflags`
 +    LIBOTF_LIBS=`libotf-config --libs`
    fi
 -  cat >conftest.$ac_ext <<_ACEOF
 -/* confdefs.h.  */
 -_ACEOF
 -cat confdefs.h >>conftest.$ac_ext
 -cat >>conftest.$ac_ext <<_ACEOF
 -/* end confdefs.h.  */
 +fi
  
 -#include <X11/Xlib.h>
 -#include <X11/Xresource.h>
 -int
 -main ()
 -{
 -Display *display;
 -XrmDatabase db;
 -char *res_name;
 -char *res_class;
 -XIMProc  callback;
 -XPointer *client_data;
 -#ifndef __GNUC__
 -/* If we're not using GCC, it's probably not XFree86, and this is
 -   probably right, but we can't use something like --pedantic-errors.  */
 -extern Bool XRegisterIMInstantiateCallback(Display*, XrmDatabase, char*,
 -                                           char*, XIMProc, XPointer*);
 -#endif
 -(void)XRegisterIMInstantiateCallback(display, db, res_name, res_class, callback,
 -   client_data);
 -  ;
 -  return 0;
 -}
 -_ACEOF
 -rm -f conftest.$ac_objext
 -if { (ac_try="$ac_compile"
 -case "(($ac_try" in
 -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 -  *) ac_try_echo=$ac_try;;
 -esac
 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 -  (eval "$ac_compile") 2>conftest.er1
 -  ac_status=$?
 -  grep -v '^ *+' conftest.er1 >conftest.err
 -  rm -f conftest.er1
 -  cat conftest.err >&5
 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 -  (exit $ac_status); } && {
 -       test -z "$ac_c_werror_flag" ||
 -       test ! -s conftest.err
 -       } && test -s conftest.$ac_objext; then
 -  emacs_cv_arg6_star=yes
 -else
 -  echo "$as_me: failed program was:" >&5
 -sed 's/^/| /' conftest.$ac_ext >&5
  
  
 -fi
  
 -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  
 -  if test "$emacs_cv_arg6_star" = yes; then
 -    cat >>confdefs.h <<\_ACEOF
 -#define XRegisterIMInstantiateCallback_arg6 XPointer*
 -_ACEOF
  
 -  else
 -    cat >>confdefs.h <<\_ACEOF
 -#define XRegisterIMInstantiateCallback_arg6 XPointer
 -_ACEOF
  
 -  fi
 -  CFLAGS=$late_CFLAGS
  fi
  
  ### Use -lXpm if available, unless `--with-xpm=no'.
diff --cc configure.in
index b536d8dc1051338fef1bb805e1ca71fe48cdca54,4c64970fe0fc1541c463c3e6b16a5f151bc093d1..46d574171e0555d7fa9b1e5b5799fd75cffb9fff
@@@ -2180,9 -2173,40 +2182,9 @@@ if test "${with_gtk}" = "yes" || test "
    fi
  fi
  
 -### Link with -lXft if available to work around a bug.
 -HAVE_XFT=maybe
 -if test "${HAVE_GTK}" = "yes"; then
 -  dnl Check if --with-pkg-config-prog has been given.
 -  if test "X${with_pkg_config_prog}" != X; then
 -    PKG_CONFIG="${with_pkg_config_prog}"
 -  fi
 -
 -  PKG_CHECK_MODULES(XFT, xft >= 0.13.0, , HAVE_XFT=no)
 -  if test "$HAVE_XFT" != no; then
 -    OLD_CFLAGS="$CPPFLAGS"
 -    OLD_CPPFLAGS="$CFLAGS"
 -    OLD_LIBS="$LIBS"
 -    CPPFLAGS="$CPPFLAGS $XFT_CFLAGS"
 -    CFLAGS="$CFLAGS $XFT_CFLAGS"
 -    LIBS="$XFT_LIBS $LIBS"
 -    AC_CHECK_HEADER(X11/Xft/Xft.h,
 -      AC_CHECK_LIB(Xft, XftFontOpen, HAVE_XFT=yes, , $XFT_LIBS))
 -
 -    if test "${HAVE_XFT}" = "yes"; then
 -      AC_DEFINE(HAVE_XFT, 1, [Define to 1 if you have the Xft library.])
 -      AC_SUBST(XFT_LIBS)
 -      C_SWITCH_X_SITE="$C_SWITCH_X_SITE $XFT_CFLAGS"
 -    else
 -      CFLAGS="$OLD_CPPFLAGS"
 -      CFLAGS="$OLD_CFLAGS"
 -      LIBS="$OLD_LIBS"
 -    fi
 -  fi
 -fi
 -
  dnl Do not put whitespace before the #include statements below.
  dnl Older compilers (eg sunos4 cc) choke on it.
- if test x"${USE_X_TOOLKIT}" = xmaybe; then
+ if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
    if test x"${HAVE_X11R5}" = xyes; then
      AC_MSG_CHECKING(X11 version 5 with Xaw)
      AC_CACHE_VAL(emacs_cv_x11_version_5_with_xaw,
diff --cc etc/MORE.STUFF
Simple merge
diff --cc etc/NEWS
Simple merge
diff --cc etc/PROBLEMS
Simple merge
diff --cc etc/TODO
Simple merge
Simple merge
diff --cc lisp/ChangeLog
Simple merge
index 07a48c761aa5a9ea2ea35011e89b9907f0fadd52,1a22ac628e6c143c77d5bee5ff5b7a36a993b4ef..657e2ed87d6b84c9f20b2e5e223165cbe6109519
@@@ -1436,9 -1417,9 +1440,9 @@@ This doesn't recover lost files, it jus
               (ucsize  (archive-l-e (+ p 11) 4 'float))        ;size of an uncompressed file.
             (time1   (archive-l-e (+ p 15) 2)) ;date/time (MSDOS format in level 0, 1 headers
             (time2   (archive-l-e (+ p 17) 2)) ;and UNIX format in level 2 header.)
 -           (hdrlvl  (char-after (+ p 20))) ;header level
 +           (hdrlvl  (byte-after (+ p 20))) ;header level
             thsize             ;total header size (base + extensions)
-            fnlen efnname fiddle ifnname width p2
+            fnlen efnname osid fiddle ifnname width p2
             neh        ;beginning of next extension header (level 1 and 2)
             mode modestr uid gid text dir prname
             gname uname modtime moddate)
diff --cc lisp/desktop.el
index 8d7776be36c08af257c300b5ff3bbf38618f707c,92f6a448574a4560965b92107588d8873f8008e6..31de08bdc267b6cd1e4219ff3fe8c4b950b34e8e
@@@ -790,25 -790,23 +790,23 @@@ See also `desktop-base-file-name'.
               " kill-ring))\n"))
  
          (insert "\n;; Buffer section -- buffers listed in same order as in buffer list:\n")
-         (mapcar #'(lambda (l)
-                   (when (apply 'desktop-save-buffer-p l)
-                     (insert "("
-                             (if (or (not (integerp eager))
-                                   (unless (zerop eager)
-                                     (setq eager (1- eager))
-                                     t))
-                               "desktop-create-buffer"
-                               "desktop-append-buffer-args")
-                             " "
-                             desktop-file-version)
-                     (mapcar #'(lambda (e)
-                               (insert "\n  " (desktop-value-to-string e)))
-                           l)
-                     (insert ")\n\n")))
-             info)
+         (dolist (l info)
 -          (when (apply 'desktop-save-buffer-p l)
 -            (insert "("
 -                    (if (or (not (integerp eager))
 -                            (unless (zerop eager)
 -                              (setq eager (1- eager))
 -                              t))
 -                        "desktop-create-buffer"
 -                      "desktop-append-buffer-args")
 -                    " "
 -                    desktop-file-version)
 -            (dolist (e l)
 -              (insert "\n  " (desktop-value-to-string e)))
 -            (insert ")\n\n")))
 -        (setq default-directory dirname)
 -        (let ((coding-system-for-write 'emacs-mule))
 -          (write-region (point-min) (point-max) filename nil 'nomessage)))))
++        (when (apply 'desktop-save-buffer-p l)
++          (insert "("
++                  (if (or (not (integerp eager))
++                          (unless (zerop eager)
++                            (setq eager (1- eager))
++                            t))
++                      "desktop-create-buffer"
++                    "desktop-append-buffer-args")
++                  " "
++                  desktop-file-version)
++          (dolist (e l)
++            (insert "\n  " (desktop-value-to-string e)))
++          (insert ")\n\n")))
 +      (setq default-directory dirname)
 +      (let ((coding-system-for-write 'utf-8-emacs))
 +        (write-region (point-min) (point-max) filename nil 'nomessage)))))
    (setq desktop-dirname dirname))
  
  ;; ----------------------------------------------------------------------------
diff --cc lisp/dnd.el
index 972354f39083324e6540de7cec9fda940fe46b31,df081539cf0f0072f19a671a3ae96316677062e7..56a619490aacad0fc657218f1de3fdeb5b9a663b
@@@ -146,11 -146,9 +146,11 @@@ Return nil if URI is not a local file.
                  (substring uri (match-end 0))))))
      (when (and f must-exist)
        (setq f (replace-regexp-in-string
-              "%[A-Z0-9][A-Z0-9]"
+              "%[A-Fa-f0-9][A-Fa-f0-9]"
               (lambda (arg)
 -               (format "%c" (string-to-number (substring arg 1) 16)))
 +               (let ((str (make-string 1 0)))
 +                 (aset str 0 (string-to-number (substring arg 1) 16))
 +                 str))
               f nil t))
        (let* ((decoded-f (decode-coding-string
                         f
Simple merge
Simple merge
Simple merge
diff --cc lisp/info.el
Simple merge
Simple merge
Simple merge
Simple merge
Simple merge
diff --cc lisp/simple.el
Simple merge
diff --cc lisp/subr.el
Simple merge
diff --cc lisp/term.el
Simple merge
Simple merge
Simple merge
diff --cc src/ChangeLog
Simple merge
diff --cc src/abbrev.c
Simple merge
diff --cc src/alloc.c
Simple merge
diff --cc src/buffer.c
Simple merge
diff --cc src/dispnew.c
Simple merge
diff --cc src/keymap.c
Simple merge
diff --cc src/macterm.c
Simple merge
diff --cc src/minibuf.c
Simple merge
diff --cc src/process.c
Simple merge
diff --cc src/xdisp.c
Simple merge